# Get Trades History

### API endpoint

```
/api/trades?poolId={poolId}&accountId={accountId}
```

### Request Samples

<pre class="language-css"><code class="lang-css"><strong> GET https://verified-api.azurewebsites.net/api/trades?poolId=0x748acd5263c4c21dfe63f675ddb01b1ab44690a7000000000000000000000852&#x26;accountId=0xaA0d06ed9CeFb0B26ef011363c9d7880feda8f08
</strong></code></pre>

#### Response Samples

Content type

> &#x20;application/json

```json
{
  "result": [
    {
      "amountOffered": 7.857142857142858,
      "priceOffered": 7,
      "orderReference": "0x09f1dd2b1ffe94c3d3b0fb95a03dcfdb07167e85abde4a91314700658e4bd7ac",
      "timestamp": "1687439928",
      "creator": "0xaa0d06ed9cefb0b26ef011363c9d7880feda8f08",
      "tokenIn": "0x40cf81a59ba9ce0d93763c3373cf0a9fe2a62887",
      "tokenOut": "0x748acd5263c4c21dfe63f675ddb01b1ab44690a7",
      "orderType": "Sell"
    }
  ]
}
```

###
